ch.qos.logback.classic.pattern

## Class LocalSequenceNumberConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
      - - ch.qos.logback.classic.pattern.ClassicConverter
        - - ch.qos.logback.classic.pattern.LocalSequenceNumberConverter

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class LocalSequenceNumberConverter
    extends ClassicConverter

A converters based on a a locally incremented sequence number. The sequence number is initialized to the number of milliseconds elapsed since 1970-01-01 until this instance is initialized.

EXPERIMENTAL This class is experimental and may be removed in the future.

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`LocalSequenceNumberConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `convert(ILoggingEvent event)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalSequenceNumberConverter

    public LocalSequenceNumberConverter()

### Method Detail

#### convert

    public String convert(ILoggingEvent event)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<ILoggingEvent>`